<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlDynChirpCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlDynChirpCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Dynamic chirp configuration for 16 chirp configurations.  
 <a href="structrl_dyn_chirp_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a466f71300342fccf515e5c6a9280bf04"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a466f71300342fccf515e5c6a9280bf04"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dyn_chirp_cfg__t.html#a466f71300342fccf515e5c6a9280bf04">reserved0</a></td></tr>
<tr class="memdesc:a466f71300342fccf515e5c6a9280bf04"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a466f71300342fccf515e5c6a9280bf04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae802eeecfed5fc781979875f9d069128"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae802eeecfed5fc781979875f9d069128"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dyn_chirp_cfg__t.html#ae802eeecfed5fc781979875f9d069128">chirpSegSel</a></td></tr>
<tr class="memdesc:ae802eeecfed5fc781979875f9d069128"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates the segment of the chirp RAM that the 16 chirps definitions in this sub <br />
 block map to any of one segment out of 32 segments of SW chirp RAM. Valid range 0 to 31. <br /></td></tr>
<tr class="separator:ae802eeecfed5fc781979875f9d069128"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e7050b561bc8e6a83aeaf262e704c24"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e7050b561bc8e6a83aeaf262e704c24"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dyn_chirp_cfg__t.html#a2e7050b561bc8e6a83aeaf262e704c24">programMode</a></td></tr>
<tr class="memdesc:a2e7050b561bc8e6a83aeaf262e704c24"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates when the configuration needs to be applied <br />
 Bit Definition <br />
 0 Program the new configuration when rlSetDynChirpEn API is issued <br />
 1 Program the new configuration immediately <br />
 NOTE: User has to ensure that the chirps which are being reconfigured are not the ones which are currently in use for chirping. <br /></td></tr>
<tr class="separator:a2e7050b561bc8e6a83aeaf262e704c24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af49f0f925333c7912345505f8a0578fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af49f0f925333c7912345505f8a0578fb"></a>
<a class="el" href="structrl_chirp_row__t.html">rlChirpRow_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dyn_chirp_cfg__t.html#af49f0f925333c7912345505f8a0578fb">chirpRow</a> [16U]</td></tr>
<tr class="memdesc:af49f0f925333c7912345505f8a0578fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp row configurations for 16 chirps. <br /></td></tr>
<tr class="separator:af49f0f925333c7912345505f8a0578fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Dynamic chirp configuration for 16 chirp configurations. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
